cmake_minimum_required(VERSION 3.22)

# Create led library
add_library(led STATIC)

# Add led sources
target_sources(led PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/src/led.c
)

# Add led include directories
target_include_directories(led PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/inc
)

# Link with stm32cubemx and hal libraries
target_link_libraries(led PRIVATE
    stm32cubemx
    hal
)
